summaryrefslogtreecommitdiff
path: root/dev-python/pycares
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pycares
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pycares')
-rw-r--r--dev-python/pycares/Manifest1
-rw-r--r--dev-python/pycares/metadata.xml12
-rw-r--r--dev-python/pycares/pycares-3.1.1.ebuild27
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/pycares/Manifest b/dev-python/pycares/Manifest
new file mode 100644
index 000000000000..abdf8a584040
--- /dev/null
+++ b/dev-python/pycares/Manifest
@@ -0,0 +1 @@
+DIST pycares-3.1.1.tar.gz 216259 BLAKE2B 4481689e418695838c456f1e15b38dcdabadb106f393f52ec21a358b06621650d4e82086ca913abb341b9d8658db1c9ddd0064e68413e71a4ddded070647edfb SHA512 52c529510e3342c0b97ad0b4b9277d1f364da7719817a31a3cfac1f88613ea82f127182eab7c52c2fcd08008c689885bb4196f887a0f81b769f08f7cbf39909e
diff --git a/dev-python/pycares/metadata.xml b/dev-python/pycares/metadata.xml
new file mode 100644
index 000000000000..c1eea7f63ff3
--- /dev/null
+++ b/dev-python/pycares/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="pypi">pycares</remote-id>
+ <remote-id type="github">saghul/pycares</remote-id>
+ </upstream>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pycares/pycares-3.1.1.ebuild b/dev-python/pycares/pycares-3.1.1.ebuild
new file mode 100644
index 000000000000..ea6355aa885a
--- /dev/null
+++ b/dev-python/pycares/pycares-3.1.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface for c-ares"
+HOMEPAGE="https://github.com/saghul/pycares/"
+SRC_URI="https://github.com/saghul/pycares/archive/${P/_p/-fix}.tar.gz"
+S=${WORKDIR}/${PN}-${P/_p/-fix}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+# Tests fail with network-sandbox, since they try to resolve google.com
+RESTRICT="test"
+
+# uses bundled/patched c-ares
+RDEPEND="virtual/python-cffi[${PYTHON_USEDEP}]"
+BDEPEND=${RDEPEND}
+
+python_test() {
+ "${EPYTHON}" tests/tests.py -v || die
+}